CMCICLIENTFT.REFERENCENAMES(3)

NAME
CMCIClientFT.referenceNames() - Enumerate association ObjectPaths for a class instance

SYNOPSIS
#include <cmci.h>

CMPIEnumeration*
CMCIClientFT.referenceNames(CMCIClient*cl,
CMPIObjectPath*op,
constchar*resultClass,
constchar*role,
CMPIStatus*rc);

DESCRIPTION
Enumerate association instances that refer to the Instance defined by the op reference.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the reference that contains namespace and classname components, resultClass, where if it's not NULL is a valid class name that is used to filter the returned set of association objects by eliminating objects that aren't an Instance of this Class or one of its subclasses, role, where if it's not NULL is a valid property name that is used to filter the returned set of instance objects by eliminating objects that aren't associated to the source object by an association where the source object plays the specified role, i.e. the name of the property in the association class that refers to the source object has to match the value of this parameter, and rc which returns the operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.referenceNames() function returns a pointer to a CMPIEnumeration object that contains the class association reference objects found that match the association criteria, and sets a successful operation status code in rc. When unsuccessful it returns a NULL pointer and sets the operation status error code and corresponding error string in rc.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIEnumeration(3), CMPIObjectPath(3), CMPIStatus(3)